Summary:      Threaded News Reader
Name:         trn-non-NNTP
Version:      3.6
Release:      1
Copyright:    distributable
Group:        Applications/News
Source:       ftp.uu.net:/networking/news/readers/trn/trn-3.6.tar.gz
Patch:        trn-non-NNTP-3.6-linux.patch
Distribution: Red Hat Linux 4.0
Packager:     Andrew J. Piziali <andy@piziali.dv.org>
BuildRoot:    /tmp/trnBuildRoot
Prefix:       /usr

%description
"trn" is one of the original threaded news readers.  This version is configured
to read news from /var/spool/news.

%prep
%setup -n trn-$RPM_PACKAGE_VERSION
%patch -p1

%build
./Configure -S
make -j2 ROOT=$RPM_BUILD_ROOT RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/trn
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man1
install -d -m 755 $RPM_BUILD_ROOT/usr/doc/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION-$RPM_PACKAGE_RELEASE
make ROOT=$RPM_BUILD_ROOT install

%clean
test $RPM_BUILD_ROOT != / && rm -fr $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc EXTERN.h HACKERSGUIDE HINTS.TRN INIT INSTALL INTERN.h MANIFEST NEW README

%attr(-, root, root) /usr/bin/newsetup
%attr(-, root, root) /usr/bin/newsgroups
%attr(-, root, root) /usr/bin/Pnews
%attr(-, root, root) /usr/bin/Rnmail
%attr(-, root, root) /usr/bin/trn
%attr(-, root, root) /usr/bin/trn-artchk
%attr(-, root, root) /usr/lib/trn/filexp
%attr(-, root, root) /usr/lib/trn/INIT
%attr(-, root, root) /usr/lib/trn/makedir
%attr(-, root, root) /usr/lib/trn/mbox.saver
%attr(-, root, root) /usr/lib/trn/newsnews
%attr(-, root, root) /usr/lib/trn/norm.saver
%attr(-, root, root) /usr/lib/trn/Pnews.header
%attr(-, root, root) /usr/lib/trn/Speller
%attr(-, root, root) /usr/man/man1/newsetup.1
%attr(-, root, root) /usr/man/man1/newsgroups.1
%attr(-, root, root) /usr/man/man1/Pnews.1
%attr(-, root, root) /usr/man/man1/Rnmail.1
%attr(-, root, root) /usr/man/man1/trn.1
